# NamedIdentityType | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- NamedIdentityType

## Index

### Properties

- idAddress
- index
- name
- privateKey
- profile
- profileUrl

## Properties

### idAddress

idAddress: string

- Defined in packages/cli/src/auth.ts:68

### index

index: number

- Defined in packages/cli/src/auth.ts:70

### name

name: string

- Defined in packages/cli/src/auth.ts:67

### privateKey

privateKey: string

- Defined in packages/cli/src/auth.ts:69

### profile

profile: Object

- Defined in packages/cli/src/auth.ts:71

### profileUrl

profileUrl: string

- Defined in packages/cli/src/auth.ts:72

Generated using TypeDoc